com.lowagie.text.pdf

## Class PdfShadingPattern

- java.lang.Object
- - com.lowagie.text.pdf.PdfObject
  - - com.lowagie.text.pdf.PdfDictionary
    - - com.lowagie.text.pdf.PdfShadingPattern

    public class PdfShadingPattern
    extends PdfDictionary

Implements the shading pattern dictionary.

Author:
  Paulo Soares (psoares@consiste.pt)

### Field Summary

Fields
`protected float[]` `matrix`
`protected PdfName` `patternName`
`protected PdfIndirectReference` `patternReference`
`protected PdfShading` `shading`
`protected PdfWriter` `writer`

### Fields inherited from class com.lowagie.text.pdf.PdfDictionary

`CATALOG, FONT, hashMap, OUTLINES, PAGE, PAGES`

### Fields inherited from class com.lowagie.text.pdf.PdfObject

`ARRAY, BOOLEAN, bytes, DICTIONARY, INDIRECT, indRef, NAME, NOTHING, NULL, NUMBER, STREAM, STRING, TEXT_PDFDOCENCODING, TEXT_UNICODE, type`

### Constructor Summary

Constructors
Constructor and Description
`PdfShadingPattern(PdfShading shading)` Creates new PdfShadingPattern

### Method Summary

Methods
`(package private) void` `addToBody()`
`(package private) ColorDetails` `getColorDetails()`
`float[]` `getMatrix()`
`(package private) PdfName` `getPatternName()`
`(package private) PdfIndirectReference` `getPatternReference()`
`PdfShading` `getShading()`
`(package private) PdfName` `getShadingName()`
`(package private) PdfIndirectReference` `getShadingReference()`
`void` `setMatrix(float[] matrix)`
`(package private) void` `setName(int number)`

### Methods inherited from class com.lowagie.text.pdf.PdfDictionary

`contains, get, getAsArray, getAsBoolean, getAsDict, getAsIndirectObject, getAsName, getAsNumber, getAsStream, getAsString, getDirectObject, getKeys, isCatalog, isFont, isOutlineTree, isPage, isPages, merge, mergeDifferent, put, putAll, putEx, remove, size, toPdf, toString`

### Methods inherited from class com.lowagie.text.pdf.PdfObject

`canBeInObjStm, getBytes, getIndRef, isArray, isBoolean, isDictionary, isIndirect, isName, isNull, isNumber, isStream, isString, length, setContent, setIndRef, type`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### shading

    protected PdfShading shading

#### writer

    protected PdfWriter writer

#### matrix

    protected float[] matrix

#### patternName

    protected PdfName patternName

#### patternReference

    protected PdfIndirectReference patternReference

### Constructor Detail

#### PdfShadingPattern

    public PdfShadingPattern(PdfShading shading)

Creates new PdfShadingPattern

### Method Detail

#### getPatternName

    PdfName getPatternName()

#### getShadingName

    PdfName getShadingName()

#### getPatternReference

    PdfIndirectReference getPatternReference()

#### getShadingReference

    PdfIndirectReference getShadingReference()

#### setName

    void setName(int number)

#### addToBody

    void addToBody()
             throws java.io.IOException

Throws:
  `java.io.IOException`

#### setMatrix

    public void setMatrix(float[] matrix)

#### getMatrix

    public float[] getMatrix()

#### getShading

    public PdfShading getShading()

#### getColorDetails

    ColorDetails getColorDetails()